Get time-series metrics
const url = 'https://api.hookbridge.io/v1/metrics/timeseries?window=24h&endpoint_id=ep_550e8400e29b41d4a716446655440000';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.hookbridge.io/v1/metrics/timeseries?window=24h&endpoint_id=ep_550e8400e29b41d4a716446655440000' \ --header 'Authorization: Bearer <token>'Retrieve time-bucketed delivery metrics for charting and analysis. Returns data points at intervals appropriate for the selected window.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Time window for metrics
Example
24hOptional filter by endpoint ID
Example
ep_550e8400e29b41d4a716446655440000Responses
Section titled “Responses”Time-series metrics retrieved successfully
object
object
Time window for these metrics
object
Start time of this bucket
Successful deliveries in this bucket
Failed deliveries in this bucket
Messages pending retry in this bucket
Total messages in this bucket
Average delivery latency in milliseconds
object
Unique identifier for this request (useful for support)
Example
{ "data": { "window": "24h", "buckets": [ { "timestamp": "2025-12-06T00:00:00Z", "succeeded": 450, "failed": 5, "retrying": 10, "total": 465, "avg_latency_ms": 180 }, { "timestamp": "2025-12-06T01:00:00Z", "succeeded": 520, "failed": 3, "retrying": 8, "total": 531, "avg_latency_ms": 165 } ] }, "meta": { "request_id": "req_xyz123" }}Invalid window or endpoint_id parameter
object
object
Machine-readable error code
Human-readable error message
object
Unique identifier for this request (useful for support)
Example
{ "error": { "code": "INVALID_REQUEST", "message": "endpoint must be a valid HTTPS URL" }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
object
object
Machine-readable error code
Human-readable error message
object
Unique identifier for this request (useful for support)
Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Enter your credentials to populate code examples throughout the docs.